org.opengis.cite.ogcapitiles10

## Class CommonFixture

- java.lang.Object
- - org.opengis.cite.ogcapitiles10.CommonFixture

- Direct Known Subclasses:
    ApiDefinition, CommonDataFixture, Conformance, GeospatialDataResource, LandingPage, MandatoryCore, Tile, TilesetLlinks

      public class CommonFixture
      extends Object

  A supporting base class that sets up a common test fixture. These configuration methods are invoked before those defined in a subclass.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `missing_api_definition_error_message`
    `protected String` | `missing_landing_page_error_message`
    `protected io.restassured.filter.log.RequestLoggingFilter` | `requestLoggingFilter`
    `protected io.restassured.filter.log.ResponseLoggingFilter` | `responseLoggingFilter`
    `protected URI` | `rootUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonFixture()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearMessages()`
    `String` | `formatLinkURI(String scheme, String host, String hrefLink)`
    `String` | `getRequest()`
    `String` | `getResponse()`
    `protected io.restassured.specification.RequestSpecification` | `init()`
    `void` | `initCommonFixture(org.testng.ITestContext testContext)` Initializes the common test fixture with a client component for interacting with HTTP endpoints.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### requestLoggingFilter

          protected io.restassured.filter.log.RequestLoggingFilter requestLoggingFilter

    - #### responseLoggingFilter

          protected io.restassured.filter.log.ResponseLoggingFilter responseLoggingFilter

    - #### rootUri

          protected URI rootUri

    - #### missing_landing_page_error_message

          protected final String missing_landing_page_error_message

      See Also:
        Constant Field Values

    - #### missing_api_definition_error_message

          protected final String missing_api_definition_error_message

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CommonFixture

          public CommonFixture()

  - ### Method Detail

    - #### initCommonFixture

          public void initCommonFixture(org.testng.ITestContext testContext)

      Initializes the common test fixture with a client component for interacting with HTTP endpoints.
      Parameters:
        `testContext` - The test context that contains all the information for a test run, including suite attributes.

    - #### clearMessages

          public void clearMessages()

    - #### getRequest

          public String getRequest()

    - #### getResponse

          public String getResponse()

    - #### init

          protected io.restassured.specification.RequestSpecification init()

    - #### formatLinkURI

          public String formatLinkURI(String scheme,
                                      String host,
                                      String hrefLink)

Copyright © 2024 Open Geospatial Consortium. All rights reserved.